Blogger Template HTML tag deletion

RESOLVED FIXED

Status

Tech Evangelism Graveyard
English US
RESOLVED FIXED
15 years ago
2 years ago

People

(Reporter: Joel Heath, Unassigned)

Tracking

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

15 years ago
When using the Blogger.com template editor, many of the img and href tags lose
all of their attributes when loaded in mozilla. this does not happen in IE or
Opera, so it seems to be a Mozilla problem. The HTML for the template is loaded
into a text box and can from there be edited by the user. When loaded in
Mozilla, the HTML is loaded with img and href tags present but missing
everything except the "img" and "href" strings between the angle braces, and
when the template is submitted for posting it is missing many of the necessary
image locations and links for the page. I found someone else having this problem
in the Blogger.com message boards, but no solution or workaround, just a warning
about using Mozilla for editing templates.

Comment 1

15 years ago
reassigning
Assignee: morse → rods
Component: Form Manager → HTML Form Controls
Does Blogger properly escape markup delimiters (<, &, etc.) in the textarea? If
not, it might be confusing the parser. Transferring to parser. Also, can you
attach to this bug the html source of the template as loaded in the editor?
Assignee: rods → harishd
Component: HTML Form Controls → Parser
QA Contact: tpreston → moied
(Reporter)

Comment 3

15 years ago
What follows is what shows up in the blogger template editing form when I go in
to edit the template. (notice the empty <img> tags at the bottom...they should
read something like <img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif">  and links are
showing up as <a></a> so its not only deleting the stuff inside the quotes, it
is getting rid of anything after the first space.

I have had the occasional problem of < and > showing up as &gt; and stuff like
that but I can't remember exactly where.


<html>
<head>

<!-- Begin YACCS Code (part 1) -->

<script type="text/javascript"
src="http://rateyourmusic.com/bclw?b=90000029911"></script>

<script type="text/javascript">
function yaccs_c(){document.write(ycso[0]);}
function ycs(e){for(i=0;i<ycso[2];i++){
if(ycsx[i*2]==e){return ycsx[(i*2)+1];}}
if(e<ycso[3])if(ycso[2]>=ycso[1])
{return -1}else{return 0}else return 0}
quot="'";quotcq="','"
function get_comment_link(e){
cc=ycs(e);if(cc==0){yfs=ycso[9]} 
if(cc==1){yfs=ycso[10]}if(cc>1){yfs=ycso[11]; 
if(ycso[13]){yfs+=cc}yfs+=ycso[12]}if(cc==-1){yfs=ycso[14]}
if(ycso[5]){document.write('<a target="'+ycso[4]+
'" class="yaccslink" href="javascript:void(0)"'+
' onclick="window.open('+quot+'http://'+ycso[8]+ 
'commentsn/blog_id='+ycso[15]+'_and_blog_entry_id='+e+quotcq+
'yaccs'+quotcq+'scrollbars=yes,resizable=yes,height='+ 
ycso[6]+',width='+ycso[7]+',left=80,top=80'+quot+');">'+
yfs+'<\/a>')}else{ 
document.write('<a class="yaccslink" href="http://'+ycso[8]+ 
'commentsn?blog_id='+ycso[15]+ ycso[16] +
'blog_entry_id='+e+ ycso[16] +'returnurl='+document.URL+'">'+yfs+'<\/a>')}}
</script>

<!-- End YACCS Code (part 1) -->


<title><$BlogTitle$></title>

<script language="JavaScript">
<!--

if (!((navigator.appVersion.indexOf('MSIE')!=-1) ||
(parseInt(navigator.appVersion)!=4))) 
{
	document.write("<STYLE TYPE=\"text/css\">");
	document.write("BODY { margin-top: -8px; margin-left: -8px; }"); 
	document.write("</style>");
};

// -->
</script>

<style type="text/css">

body { margin-top: 0px; margin-left: 0px; margin-right: 0px;
background-color:#ffffff; }

A 	
	{ color: #CC6633; text-decoration: none; } 
A:link
	{ color: #CC6633; text-decoration: none; } 
A:visited
{ color: #CC6633; text-decoration: none; } 
A:active
{ color: #FF9966;  } 
A:hover
	{ color: #FF9966;  } 
	
	
td.body { padding:20px;}
td.title { padding:20px; font-family: verdana, sans-serif; font-size: 16px;
color: #666666; font-weight:bold; letter-spacing:.1em; }
td.links { padding:8px; font-family: verdana, sans-serif; font-size: 10px;
color: #336699; line-height:16px;}

font.descrip { font-family: verdana, sans-serif; font-size: 10px; color:
#999966; text-transform:uppercase; font-weight:bold; letter-spacing:.2em;
padding:5px;}

font.date { font-family: georgia, sans-serif; font-size: 12px; color: #336699;
line-height:16px;}
font.author { font-family: verdana, sans-serif; font-size: 10px; color: #336699;
line-height:16px; text-transform:uppercase;}
font.time { font-family: verdana, sans-serif; font-size: 10px; color: #336699;
line-height:16px; text-transform:uppercase;}
font { font-family: verdana, sans-serif; font-size: 10px; color: #666666;
line-height:16px;}
font.subhead { font-family: verdana, sans-serif; font-size: 11px; color:
#333333; font-weight:bold; padding:8px; 
letter-spacing:  .1em}

p { font-family: georgia, verdana, arial; font-size:12px; color:#666666;
line-height:18px; text-align:justify; }
p.links { font-family: verdana, arial; font-size:10px; color:#666666;
line-height:12px; }

</style>
</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td width="100%" bgcolor="#666666"><img src="bloggertemplate59_cleardot.gif"
width="1" height="13"></td>
</tr>

<tr>
<td width="100%" bgcolor="#FFFFFF"><img src="bloggertemplate59_cleardot.gif"
width="1" height="2"></td>
</tr>

<tr>
<td class="title" width="100%" bgcolor="#CCCC99"
valign="top"><$BlogTitle$><br><font
class="descrip"><$BlogDescription$></span></font>
</td>
</tr>

<tr>
<td width="100%" bgcolor="#000000"><img src="bloggertemplate59_cleardot.gif"
width="1" height="1"></td>
</tr>
</table>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>

<td valign="top" width="375" class="body">
<img src="bloggertemplate59_cleardot.gif" width="375" height="1">

<!-- INSERT BLOGGER CODE HERE -->

<Blogger>
    
    <BlogDateHeader>
     <br><br><font class="date"><$BlogDateHeaderDate$></font>
    </BlogDateHeader>
	<a name="<$BlogItemNumber$>">&nbsp;</a>
    <p><$BlogItemBody$></p>
    <font class="author">posted by <$BlogItemAuthor$> |</font>
	<font class="time"><a
href="<$BlogItemArchiveFileName$>#<$BlogItemNumber$>"><$BlogItemDateTime$></a><br>
<SCRIPT
language="javascript">get_comment_link(<$BlogItemNumber$>)</script><noscript><a
href =
"http://rateyourmusic.com/yaccs/commentsn/b=90000029911_and_e=<$BlogItemNumber$>">Add
a comment</a></noscript></font>
	<hr>

</Blogger>

<!-- END BLOGGER CODE -->
	
	</td>

<td><img></td>

<td>
	
	<table>
	
	<tbody><tr>
	<td><img></td>
	</tr>
	
	</tbody></table>
	
	<table>

<!-- ARCHIVES -->
	
	<tbody><tr>
	<td><font>archives</font></td>
	</tr>
	
	<tr>
	<td><img></td>
	</tr>
	
	<tr>
	<td>
	<script></script>
	<br>
</td>
	</tr>
	
	<tr>
	<td><img></td>
	</tr>

	<!-- END ARCHIVES -->
		
	<!-- LINKS BLOCK-->
	
	<tr>
	<td><font>Links</font></td>
	</tr>
	
	<tr>
	<td><img></td>
	</tr>
	
	<tr>
	<td>
	<!-- edit the links below with  your own -->
	<a>Slashdot</a><br>
	<a>My Favorites</a><br>
	Comments by: <a>YACCS</a> 
    </td>
	</tr>
	
	<tr>
	<td><img></td>
	</tr>

	<!-- END LINKS BLOCK-->
		
<!-- BOOKS BLOCK-->
	
	<tr>
	<td><font>Books</font></td>
	</tr>
	
	<tr>
	<td><img></td>
	</tr>
	
	<tr>

	<td>
	<center>Currently Reading</center><hr>
	The Restuarant at the End of the Universe<br>
	House of Leaves<br>
        The Fountainhead<br>
        <a>The Book of Mormon</a> (2 Nephi)<br>

        <a>The Bible</a> (Genesis - gotta start somewhere)<br>




<!--will read-->
	
	<hr><center>Will Read</center><br>
	Life The Universe and Everything<br>
	So Long and Thanks for All the Fish<br>
        Catch-22<br>
    </td>
	</tr>
<!--will read-->

	
	<tr>
	<td><img></td>
	</tr>

	<!-- END BOOKS BLOCK-->



	</tbody></table>

</td>

<td><img></td>

<td><img></td>

</tr>

<tr>
<td><img></td>
<td>
<!-- please keep a Blogger button and link on your page, as asked by the terms
of service -->
<a><img></a></td>
</tr>

<tr>
<td><img></td>
</tr>


</tbody>
</table>

<br>


</body></html>

Comment 4

15 years ago
a testcase, or at least the source of this document would be nice.
(Reporter)

Comment 5

15 years ago
This is the source from the template editing page on blogger. Not much there,
but  here it is. Hope it helps:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>edit your blog: </title>
</head>
<frameset rows="33,*" style="border: 0;" framespacing="0" frameborder=0 border=0>
  	<frame name="toolbar" src="toolbar.pyra?blogID=3595437" marginwidth="0"
marginheight="0" scrolling="no" frameborder="no" noresize>
    <frame name="inside" src="blog_view_frame.pyra?blogID=3595437"
MARGINHEIGHT=10 MARGINWIDTH=20 SCROLLING=auto NORESIZE FRAMESPACING="0"
FRAMEPADDING="0">
</frameset>
</html>
Sorry to trouble you again, but what we need is the source of the frame
containing the <textarea> where the editing is going on. Right-click in that
general area of the page, select "This Frame", and "View Frame Source". That's
the source we need to diagnose what's going on. (You can save it as a separate
file and use the "Create a New Attachment" link on this bug page to upload it to
Bugzilla, which is a bit easier to work with than pasting it into the bug.)
(Reporter)

Comment 7

15 years ago
This is what appears when I view the source of the frame containing the text
area. The text area starts after <!--End Header--> and before 
<!-- Begin YACCS Code (part 1) -->

<html>
<title>Blogger template</title>
<head>
<link rel="STYLESHEET" type="text/css" href="styles/blogger.css">
<script>
function chkForm(f) {
	v = f.txaTemplate.value;
	if (v.indexOf("<Blogger>") == -1 && v.indexOf("<BLOGGER>") == -1 
	&& v.indexOf("<blogger>") == -1) {
		alert("Your template does not contain an opening <Blogger> tag. Please correct and
try again. (Be sure to check the case.)");
		return false;
	}
	if (v.indexOf("</Blogger>") == -1 && v.indexOf("</BLOGGER>") == -1 
	&& v.indexOf("</blogger>") == -1) {
		alert("Your template does not contain a closing </Blogger> tag. Please correct and
try again. (Be sure to check the case.)");
		return false;
	}
}
</script>
</head>
<body style="margin:0" marginheight=0 marginwidth=0 topmargin=0 leftmargin=0>

<!-- Header -->
	<table width=100% bgcolor=black cellpadding=0 cellspacing=0 border=0><tr><td>
	<table width=100% cellpadding=2 cellspacing=1 border=0 bgcolor=black>
	<tr bgcolor=silver>

	<td>
	<table width="100%" cellpadding=0 cellspacing=0 border=0><tr>
		<td class="pageTitle">
			Template for In a Nutshell
		</td>
		<td>
			edit template HTML 
			|
			<a href="/templates/templates.pyra?blogID=3595437">choose a new template</a>		
		</td>
	</tr></table>

	</td>
	</tr>
	</table>
	</td></tr></table>
<!-- End Header -->





<table width=100% cellpadding=10><tr>
<td>
<form action="blog_template-action.pyra?blogid=3595437" method="post"
onsubmit="return chkForm(this)">

<textarea cols=62 rows=25 wrap=off name="txaTemplate"><html>
<head>

<!-- Begin YACCS Code (part 1) -->

<script type="text/javascript"
src="http://rateyourmusic.com/bclw?b=90000029911"></script>

<script type="text/javascript">
function yaccs_c(){document.write(ycso[0]);}
function ycs(e){for(i=0;i<ycso[2];i++){
if(ycsx[i*2]==e){return ycsx[(i*2)+1];}}
if(e<ycso[3])if(ycso[2]>=ycso[1])
{return -1}else{return 0}else return 0}
quot="'";quotcq="','"
function get_comment_link(e){
cc=ycs(e);if(cc==0){yfs=ycso[9]} 
if(cc==1){yfs=ycso[10]}if(cc>1){yfs=ycso[11]; 
if(ycso[13]){yfs+=cc}yfs+=ycso[12]}if(cc==-1){yfs=ycso[14]}
if(ycso[5]){document.write('<a target="'+ycso[4]+
'" class="yaccslink" href="javascript:void(0)"'+
' onclick="window.open('+quot+'http://'+ycso[8]+ 
'commentsn/blog_id='+ycso[15]+'_and_blog_entry_id='+e+quotcq+
'yaccs'+quotcq+'scrollbars=yes,resizable=yes,height='+ 
ycso[6]+',width='+ycso[7]+',left=80,top=80'+quot+');">'+
yfs+'<\/a>')}else{ 
document.write('<a class="yaccslink" href="http://'+ycso[8]+ 
'commentsn?blog_id='+ycso[15]+ ycso[16] +
'blog_entry_id='+e+ ycso[16] +'returnurl='+document.URL+'">'+yfs+'<\/a>')}}
</script>

<!-- End YACCS Code (part 1) -->


<title><$BlogTitle$></title>

<script language="JavaScript">
<!--

if (!((navigator.appVersion.indexOf('MSIE')!=-1) ||
(parseInt(navigator.appVersion)!=4))) 
{
	document.write("<STYLE TYPE=\"text/css\">");
	document.write("BODY { margin-top: -8px; margin-left: -8px; }"); 
	document.write("</style>");
};

// -->
</script>

<style type="text/css">

body { margin-top: 0px; margin-left: 0px; margin-right: 0px;
background-color:#ffffff; }

A 	
	{ color: #CC6633; text-decoration: none; } 
A:link
	{ color: #CC6633; text-decoration: none; } 
A:visited
{ color: #CC6633; text-decoration: none; } 
A:active
{ color: #FF9966;  } 
A:hover
	{ color: #FF9966;  } 
	
	
td.body { padding:20px;}
td.title { padding:20px; font-family: verdana, sans-serif; font-size: 16px;
color: #666666; font-weight:bold; letter-spacing:.1em; }
td.links { padding:8px; font-family: verdana, sans-serif; font-size: 10px;
color: #336699; line-height:16px;}

font.descrip { font-family: verdana, sans-serif; font-size: 10px; color:
#999966; text-transform:uppercase; font-weight:bold; letter-spacing:.2em;
padding:5px;}

font.date { font-family: georgia, sans-serif; font-size: 12px; color: #336699;
line-height:16px;}
font.author { font-family: verdana, sans-serif; font-size: 10px; color: #336699;
line-height:16px; text-transform:uppercase;}
font.time { font-family: verdana, sans-serif; font-size: 10px; color: #336699;
line-height:16px; text-transform:uppercase;}
font { font-family: verdana, sans-serif; font-size: 10px; color: #666666;
line-height:16px;}
font.subhead { font-family: verdana, sans-serif; font-size: 11px; color:
#333333; font-weight:bold; padding:8px; 
letter-spacing:  .1em}

p { font-family: georgia, verdana, arial; font-size:12px; color:#666666;
line-height:18px; text-align:justify; }
p.links { font-family: verdana, arial; font-size:10px; color:#666666;
line-height:12px; }

</style>
</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td width="100%" bgcolor="#666666"><img src="bloggertemplate59_cleardot.gif"
width="1" height="13"></td>
</tr>

<tr>
<td width="100%" bgcolor="#FFFFFF"><img src="bloggertemplate59_cleardot.gif"
width="1" height="2"></td>

</tr>

<tr>
<td class="title" width="100%" bgcolor="#CCCC99"
valign="top"><$BlogTitle$><br><font
class="descrip"><$BlogDescription$></span></font>
</td>
</tr>

<tr>
<td width="100%" bgcolor="#000000"><img src="bloggertemplate59_cleardot.gif"
width="1" height="1"></td>
</tr>
</table>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>

<td valign="top" width="375" class="body">
<img src="bloggertemplate59_cleardot.gif" width="375" height="1">

<!-- INSERT BLOGGER CODE HERE -->

<Blogger>
    
    <BlogDateHeader>
     <br><br><font class="date"><$BlogDateHeaderDate$></font>
    </BlogDateHeader>
	<a name="<$BlogItemNumber$>">&amp;nbsp;</a>
    <p><$BlogItemBody$></p>

    <font class="author">posted by <$BlogItemAuthor$> |</font>
	<font class="time"><a
href="<$BlogItemArchiveFileName$>#<$BlogItemNumber$>"><$BlogItemDateTime$></a><br>
<script
language="javascript">get_comment_link(<$BlogItemNumber$>)</SCRIPT><noscript><a
href ="
http://rateyourmusic.com/yaccs/commentsn/b=90000029911_and_e=<$BlogItemNumber$>">Add
a comment</a></noscript></font>
	<hr size="1">

</Blogger>

<!-- END BLOGGER CODE -->
	
	</td>

<td width="1" bgcolor="#000000" rowspan="2"><img
src="bloggertemplate59_cleardot.gif" width="1" height="1"></td>

<td valign="top" width="260">
	
	<table border="0" cellspacing="0" cellpadding="0" width="100%">
	
	<tbody><tr>
	<td bgcolor="#cccccc"><img src="bloggertemplate59_cleardot.gif" width="175"
height="1"></td>
	</tr>
	
	</tbody></table>
	
	<table>

<!-- ARCHIVES -->
	
	<tbody><tr>
	<td bgcolor="#cccccc"><font class="subhead">archives</font></td>
	</tr>
	
	<tr>
	<td bgcolor="#000000"><img src="bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>
	
	<tr>
	<td class="links">

	<script type="text/javascript" src="<$BlogArchiveFileName$>"></script>
	<br>
</td>
	</tr>
	
	<tr>
	<td bgcolor="#000000"><img src="bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>

	<!-- END ARCHIVES -->

		
	<!-- LINKS BLOCK-->
	
	<tr>
	<td bgcolor="#cccccc"><font class="subhead">Links</font></td>
	</tr>
	
	<tr>
	<td bgcolor="#000000"><img src="bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>
	
	<tr>

	<td class="links">
	<!-- edit the links below with  your own -->
	<a href="http://www.slashdot.org">Slashdot</a><br>
	<a href="http://www.geocities.com/boowax/tree.html">My Favorites</a><br>
	Comments by: <a href="http://rateyourmusic.com/yaccs/">YACCS</a> 
    </td>
	</tr>

	
	<tr>
	<td bgcolor="#000000"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>

	<!-- END LINKS BLOCK-->
		
<!-- BOOKS BLOCK-->
	
	<tr>
	<td bgcolor="#cccccc"><font class="subhead">Books</font></td>
	</tr>

	
	<tr>
	<td bgcolor="#000000"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>
	
	<tr>

	<td class="links">
	<center>Currently Reading</center><hr>
	House of Leaves<br>

        The Fountainhead<br>
        <a href="http://scriptures.lds.org/bm/contents">The Book of Mormon</a>
(2 Nephi)<br>

        <a href="http://scriptures.lds.org/ot/contents">The Bible</a> (Genesis -
gotta start somewhere)<br>



<!--will read-->
	
	<hr><center>Will Read</center><br>
	Life The Universe and Everything<br>
	So Long and Thanks for All the Fish<br>
        Catch-22<br>
<!--will read-->

<!--just finished-->

	<hr><center>Recently Finished</center><br>
	The Restuarant at the End of the Universe<br>

<!--just finished-->
	    </td>
	</tr>

	<!-- END BOOKS BLOCK-->

	<tr>

	<td bgcolor="#000000"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
	</tr>




	</tbody></table>

</td>

<td width="1" bgcolor="#000000" rowspan="2"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>

<td background="http://www.blogblog.com/bloggertemplate59_stripes.gif"
bgcolor="#aaaaaa" rowspan="2"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>

</tr>

<tr>
<td width="375"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="1"></td>
<td width="260" bgcolor="#666666">
<!-- please keep a Blogger button and link on your page, as asked by the terms
of service -->
<a href="http://www.blogger.com/"><img
src="http://buttons.blogger.com/bloggerbutton59.gif" width="260" height="31"
border="0"></a></td>
</tr>

<tr>
<td colspan="5" bgcolor="#999999"><img
src="http://www.blogblog.com/bloggertemplate59_cleardot.gif" width="1"
height="10"></td>
</tr>


</tbody>
</table>

<br>


</body></html></textarea>
<p>
<input type="submit" value="save changes" class="bloggerButton">
&nbsp;&nbsp;&nbsp;
<input type=button value=cancel onclick="history.back()" class="bloggerButton">

</td></tr></table>
<p>
<table width=450 cellpadding=5 cellspacing=0 border=0>
<tr>
	<td width=25 rowspan=3></td>
<td>
<a name="help"><h1>Template Help</h1></a>

		<h2>bloggerTags</h2>
The main part of this template feature is the formatting bloggerTags. Here's
what they look like:
<font color="gray">
<blockquote>
<xmp>
<Blogger>
   <BlogDateHeader>
        <$BlogDateHeaderDate$>
   </BlogDateHeader>
   
   <$BlogItemBody$>
   <$BlogItemAuthor$>
   <$BlogItemAuthorNickname$>
   <$BlogItemAuthorEmail$>
   <$BlogItemAuthorURL$>
   <$BlogItemDateTime$>
   <$BlogItemNumber$>

   <BlogDateFooter>

   </BlogDateFooter>
</Blogger>
</xmp>
</blockquote>
</font>
As you can see, it looks a lot like HTML. One difference between these tags and
HTML is that <b>case is important</b>. When using your template, blogger only
looks for bloggerTags between <font
color="gray"><code>&lt;Blogger&gt;</code></font> and <font
color="gray"><code>&lt;/Blogger&gt;</code></font>. You can include HTML in here
too. Or ASP Code. Or Cold Fusion Code. Or whatever works on your server. 
<p>
For every entry in your weblog, the code between the blogger tags will be used
to format how they will display. For example, the following bloggerTags:
<font color="gray">

<blockquote>
<xmp>
<Blogger>
   <$BlogItemBody$><br>
   <small>posted by <$BlogItemAuthor$> on <$BlogItemDateTime$></small>
   <p>
</Blogger>
</xmp>
</blockquote>
</font>

Would produce the following output:
<font color="gray">
<blockquote>
Hi. this is a blogger entry.<br>
<small>posted by pb on 8/21/99 7:20:04 PM</small>
<p>
I find this whole blogger thing interesting.<br>
<small>posted by ev on 8/21/99 6:25:12 PM</small>
<p>
I'm not sure I like gainsboro as my font color.<br>
<small>posted by pb on 8/20/99 5:15:12 PM</small>

<p>
</blockquote>
</font>
Each tag corrosponds to information about each post. The tags are fairly
self-explanitory:
<ul>
	<li><font color="gray"><code>&lt;$BlogItemBody$&gt;</code></font> - The text of a
post.
	<li><font color="gray"><code>&lt;$BlogItemAuthor$&gt;</code></font> - The author
of a post.
	<li><font color="gray"><code>&lt;$BlogItemAuthorNickname$&gt;</code></font> - The
nickname of the author of a post.
	<li><font color="gray"><code>&lt;$BlogItemAuthorEmail$&gt;</code></font> - The
email address of the author of a post.
	<li><font color="gray"><code>&lt;$BlogItemAuthorURL$&gt;</code></font> - The
homepage URL of the author of a post.
	<li><font color="gray"><code>&lt;$BlogItemDateTime$&gt;</code></font> - The Date
and/or Time of a post. You can choose how this will display in <a
href="blog_edit.pyra?blogid=3595437">Blog properties</a>.
	<li><font color="gray"><code>&lt;$BlogItemNumber$&gt;</code></font> - The unique
ID number of the post.
	<li><font color="gray"><code>&lt;$BlogItemURL$&gt;</code></font> - The URL
associated with the post if you have URL enabled.

</ul>
<p>
Just a reminder, <b>case is important</b> when using the tags. The tag
&lt;$BlogItemBody$&gt; will work while the tag &lt;$BLOGItemBODY$&gt; will not.
<p>
		<h2>Date Header</h2>
The code between the <font
color="gray"><code>&lt;BlogDateHeader&gt;</code></font> tags work a little
differently. This code is used to group posts together under a common date
heading. It is only used when the date <i>changes</i>. So, this:

<font color="gray">
<blockquote>
<xmp>
<Blogger>
   <BlogDateHeader>
        <h4><$BlogDateHeaderDate$></h4>
   </BlogDateHeader>
   <$BlogItemBody$><br>
   <small>posted by <$BlogItemAuthor$> on <$BlogItemDateTime$></small>

   <p>
</Blogger>
</xmp>
</blockquote>
</font>
would come up with this:
<font color="gray">
<blockquote>
<h4>Saturday, August 21, 1999</h4>
Hi. this is a blogger entry.<br>
<small>posted by pb on 8/21/99 7:20:04 PM</small>
<p>
I find this whole blogger thing interesting.<br>

<small>posted by ev on 8/21/99 6:25:12 PM</small>
<p>
<h4>Saturday, August 20, 1999</h4>
I'm not sure I like gainsboro as my font color.<br>
<small>posted by pb on 8/20/99 5:15:12 PM</small>
<p>
</blockquote>
</font>
The only tag that has a value here is:
<ul>
<li><font color="gray"><code>&lt;$BlogDateHeaderDate$&gt;</code></font> - The
date itself. 

</ul>
You can choose the way the Date Header will display in <a
href="blog_edit.pyra?blogid=3595437">Blog Properties</a>. You don't <i>need</i>
to have the Date Header at all if you don't want to group posts this way.
	<h2>Date Footer</h2>
This works the same way as the Date Header, but there are no value tags
associated with it. Here's the example from above with an added footer:
<font color="gray">
<blockquote>
<xmp>
<Blogger>
   <BlogDateHeader>
        <h4><$BlogDateHeaderDate$></h4>

   </BlogDateHeader>
   <$BlogItemBody$><br>
   <small>posted by <$BlogItemAuthor$> on <$BlogItemDateTime$></small>
   <p>
   <BlogDateFooter>
        --------------------
   </BlogDateFooter>

</Blogger>
</xmp>
</blockquote>
</font>
and we have:
<font color="gray">
<blockquote>
<h4>Saturday, August 21, 1999</h4>
Hi. this is a blogger entry.<br>
<small>posted by pb on 8/21/99 7:20:04 PM</small>
<p>
I find this whole blogger thing interesting.<br>
<small>posted by ev on 8/21/99 6:25:12 PM</small>

<p>
--------------------
<h4>Saturday, August 20, 1999</h4>
I'm not sure I like gainsboro as my font color.<br>
<small>posted by pb on 8/20/99 5:15:12 PM</small>
<p>
--------------------
</blockquote>
</font>

<p>



	<h2>A note about ampersands and JavaScript</h2>
Yes, the most dreaded character on the keyboard, &. Because of certain
limitations related to editing text documents in a browser, we've had to make
some trade-offs with ampersands. HTML character entities (eg. &amp;copy;) use
ampersands. To allow you to edit character entities in the Blogger template form
above, we've stopped the browser from converting &amp;copy; to &copy; by
escaping the ampersand. That's great if you're using HTML character entities in
your template.

<p>
That's bad if you're using JavaScript or certain other scripting languages in
your template. JavaScript uses the character & for a number of purposes. Those
purposes have nothing to do with HTML character entities. It operates in a
completely different way. So, bringing up your template to edit *again* within
Blogger will convert any & to &amp;amp;. This may break any JavaScript that uses
ampersands.
<p>
Possible solutions: 1) Place your JavaScript in a separate text file, and
include it in your template like this: &lt;script src="/scripts/your_file.js"
type="text/javascript"&gt;&lt;/script&gt;. 2) Don't edit your template from
within Blogger. Use a separate editing program (eg. Notepad, Homesite, Word,
etc.) and paste your template in the form above. (Remember, the only time a
transformation of ampersands happens is when you bring up your template to edit
within Blogger.) 3) In some scripts, using the character + instead of & is
acceptable.

	<h2>Ok, go!</h2>
We wanted you to be able to plug blogger's functionality into your own crazy
nested tables with your own crazy fonts and colors and blink tags and whatnot. 
<p>
Easy and fun! Make your template. Hit Save. Start blogging!
<p>

For further help, or to ask questions or give feedback on Blogger, please use
the <a href="http://www.blogger.com/discuss/" target="discuss">Blogger
discussion forum</a>.
<p>
<a href="#top">back to the template</a>.
</td>
</table>

<p>
</body>

</html>
OK, it seems that they aren't escaping the entities in the source of their page. 
This is a job for evangelism. Let me carefully explain what needs to happen:
The code they use to generate the edit-the-template page needs to be escaping 
markup ("<", and "&" should suffice) within the <textarea> to &lt; and &amp;. 
These entities WILL NOT appear as "&lt;" and "&amp;" when the user goes to edit 
the template; they are in the source of the page, and will be converted to < and 
& when the browser parses the page, so editing will look EXACTLY the same for the 
end user. Without using "View Source" on the edit-the-template page, the end user 
of Blogger will NEVER see the entities.
Assignee: harishd → susiew
Status: UNCONFIRMED → NEW
Component: Parser → US General
Ever confirmed: true
Product: Browser → Tech Evangelism
QA Contact: moied → zach
Version: other → unspecified

Comment 9

15 years ago
Joel, as a blogger user please contact them and ask them to use entities for
markup related chars such as <, >, & etc. 

Comment 10

15 years ago
Created attachment 108840 [details]
testcase with unescaped /noscript in textarea

I'm working on evangelism, but since it turns out that the only unescaped HTML
that triggers the bug is a noscript end tag, I'm also attaching a testcase in
case anyone want to fix it (yes, it's invalid to have unescaped HTML in a
textarea, but Moz-based browsers are also apparently the only ones in the world
that will strip attributes and destroy your weblog template if you just put a
noscript section in, and I know  people who have quit using Mozilla and also
people who have quit their weblog (very unequal outcomes, to be sure) as a
result of this bug). Testcase works in IE6/Win, Opera6/Win, NN4.79/Win, Lynx
2-8-3, fails in Phoenix 0.5 (20021207) and several older Mozilla builds.

Comment 11

15 years ago
http://evhead.com/archives/2002_12_01_archive_default.asp#103955252215707418

Comment 12

14 years ago
tech evang june 2003 reorg
Assignee: susiew → english-us
QA Contact: zach → english-us

Comment 13

14 years ago
w/ its recent upgrade, blogger now escapes entities.

-> FIXED
Status: NEW → RESOLVED
Last Resolved: 14 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.